OpenVDB: ImageHandle< BufferT > Class Template Reference

OpenVDB 10.1.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ImageHandle< BufferT > Class Template Reference

`#include <nanovdb/examples/benchmark/Image.h>`

## Public Member Functions
| ImageHandle (int width, int height, int log2=7)
const Image * | image () const
Image * | image ()
template<typename U = BufferT>
std::enable_if< BufferTraits< U >::hasDeviceDual, constImage * >::type | deviceImage () const
template<typename U = BufferT>
std::enable_if< BufferTraits< U >::hasDeviceDual, Image * >::type | deviceImage ()
template<typename U = BufferT>
std::enable_if< BufferTraits< U >::hasDeviceDual, void >::type | deviceUpload (void *stream=nullptr, bool sync=true)
template<typename U = BufferT>
std::enable_if< BufferTraits< U >::hasDeviceDual, void >::type | deviceDownload (void *stream=nullptr, bool sync=true)

## Constructor & Destructor Documentation

## ◆ ImageHandle()

template<typename BufferT >

ImageHandle | ( | int | width,
|  | int | height,
|  | int | log2 = `7`
| ) |  |

## Member Function Documentation

## ◆ deviceDownload()

template<typename BufferT = HostBuffer>
template<typename U = BufferT>

std::enable_if< BufferTraits< U >::hasDeviceDual, void >::type deviceDownload | ( | void * | stream = `nullptr`,
|  | bool | sync = `true`
| ) |  |
| inline

## ◆ deviceImage() [1/2]

template<typename BufferT = HostBuffer>
template<typename U = BufferT>

std::enable_if< BufferTraits< U >::hasDeviceDual, Image * >::type deviceImage | ( |  | ) |
| inline

## ◆ deviceImage() [2/2]

template<typename BufferT = HostBuffer>
template<typename U = BufferT>

std::enable_if< BufferTraits< U >::hasDeviceDual, constImage * >::type deviceImage | ( |  | ) | const
| inline

## ◆ deviceUpload()

template<typename BufferT = HostBuffer>
template<typename U = BufferT>

std::enable_if< BufferTraits< U >::hasDeviceDual, void >::type deviceUpload | ( | void * | stream = `nullptr`,
|  | bool | sync = `true`
| ) |  |
| inline

## ◆ image() [1/2]

template<typename BufferT = HostBuffer>

Image * image | ( |  | ) |
| inline

## ◆ image() [2/2]

template<typename BufferT = HostBuffer>

const Image * image | ( |  | ) | const
| inline